org.hibernate.search.elasticsearch.schema.impl

## Class Elasticsearch52SchemaValidator

- java.lang.Object
- - org.hibernate.search.elasticsearch.schema.impl.Elasticsearch2SchemaValidator
  - - org.hibernate.search.elasticsearch.schema.impl.Elasticsearch50SchemaValidator
    - - org.hibernate.search.elasticsearch.schema.impl.Elasticsearch52SchemaValidator

- All Implemented Interfaces:
    ElasticsearchSchemaValidator

      public class Elasticsearch52SchemaValidator
      extends Elasticsearch50SchemaValidator

  An `ElasticsearchSchemaValidator` implementation for Elasticsearch 5.2.
  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Elasticsearch52SchemaValidator(ElasticsearchSchemaAccessor schemaAccessor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `formatContextElement(org.hibernate.search.elasticsearch.schema.impl.ValidationContextType type, String name)`
    `protected void` | `validateAnalysisSettings(org.hibernate.search.elasticsearch.schema.impl.ValidationErrorCollector errorCollector, IndexSettings.Analysis expectedAnalysis, IndexSettings.Analysis actualAnalysis)`
    `protected void` | `validateAnalyzerOptions(org.hibernate.search.elasticsearch.schema.impl.ValidationErrorCollector errorCollector, PropertyMapping expectedMapping, PropertyMapping actualMapping)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.schema.impl.Elasticsearch50SchemaValidator

      `doValidateJsonPrimitive, validateIndexOptions`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.schema.impl.Elasticsearch2SchemaValidator

      `isSettingsValid, validate, validateAll, validateEqualWithDefault, validateEqualWithDefault, validateEqualWithDefault, validateFormatWithDefault, validateJsonPrimitive`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Elasticsearch52SchemaValidator

          public Elasticsearch52SchemaValidator(ElasticsearchSchemaAccessor schemaAccessor)

  - ### Method Detail

    - #### formatContextElement

          protected String formatContextElement(org.hibernate.search.elasticsearch.schema.impl.ValidationContextType type,
                                                String name)

      Overrides:
        `formatContextElement` in class `Elasticsearch2SchemaValidator`

    - #### validateAnalysisSettings

          protected void validateAnalysisSettings(org.hibernate.search.elasticsearch.schema.impl.ValidationErrorCollector errorCollector,
                                                  IndexSettings.Analysis expectedAnalysis,
                                                  IndexSettings.Analysis actualAnalysis)

      Overrides:
        `validateAnalysisSettings` in class `Elasticsearch2SchemaValidator`

    - #### validateAnalyzerOptions

          protected void validateAnalyzerOptions(org.hibernate.search.elasticsearch.schema.impl.ValidationErrorCollector errorCollector,
                                                 PropertyMapping expectedMapping,
                                                 PropertyMapping actualMapping)

      Overrides:
        `validateAnalyzerOptions` in class `Elasticsearch2SchemaValidator`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved